Skip to main content
GET
/
2025-09
/
deals
List all Deals
curl --request GET \
  --url https://public-api.stora.co/2025-09/deals \
  --header 'Authorization: Bearer <token>'
{
  "deals": [
    {
      "id": "deal_127b3057d5df338e",
      "assignee": {
        "id": "staff_947b3057d5df338e"
      },
      "contact": {
        "id": "con_1234567890abcdef"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "staff_947b3057d5df338e"
      },
      "line_items": [
        {
          "item": {
            "id": "plvl_e8f3ad0a07e47566"
          },
          "quantity": 1,
          "type": "protection"
        },
        {
          "item": {
            "id": "utype_f18fc91387cdf710"
          },
          "quantity": 1,
          "type": "unit_type"
        }
      ],
      "lost_reason": null,
      "name": "First Deal",
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "stage": {
        "id": "dstg_127b3057d5df338e"
      },
      "starts_at": null,
      "status": "open",
      "updated_at": "2025-02-22T14:41:00Z",
      "value_estimate": "£50 per month"
    },
    {
      "id": "deal_227b3057d5df338e",
      "assignee": null,
      "contact": {
        "id": "con_1234567890abcdef"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "staff_947b3057d5df338e"
      },
      "line_items": [
        {
          "item": {
            "id": "plvl_e8f3ad0a07e47566"
          },
          "quantity": 1,
          "type": "protection"
        },
        {
          "item": {
            "id": "utype_f18fc91387cdf710"
          },
          "quantity": 1,
          "type": "unit_type"
        }
      ],
      "lost_reason": null,
      "name": "Archived Deal",
      "site": null,
      "stage": {
        "created_at": "2025-02-22T14:41:00Z",
        "name": "Second Stage - (Deleted)",
        "position": 2,
        "updated_at": "2025-02-22T14:41:00Z"
      },
      "starts_at": null,
      "status": "open",
      "updated_at": "2025-02-22T14:41:00Z",
      "value_estimate": "£50 per month"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
contact_id
string[]

Filter by Contact IDs. Supports multiple values separated by a comma.

site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

stage_id
string[]

Filter by Stage IDs. Supports multiple values separated by a comma.

assignee_id
string

Filter by Assignee ID. Supports multiple values separated by comma. Use unassigned for deals without an assignee.

status
enum<string>[]

Filter by deal status. Supports multiple values separated by comma.

Available options:
open,
won,
lost
lost_reason
enum<string>[]

Filter by lost reason. Supports multiple values separated by comma.

Available options:
accessibility_concern,
better_deal_elsewhere,
chose_competitor,
contract_terms,
decided_not_to_use_storage,
didnt_respond,
due_to_unstaffed_site,
facility_condition,
financial_reasons,
lack_of_response,
location_issues,
needs_extra_services,
no_longer_needed,
poor_customer_service,
price_concerns,
security_concerns,
size_availability,
timing,
unable_to_reach_customer,
unable_to_take_deliveries,
other
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of deals

List of Deals

deals
object[]
meta
object